Bug 998973 - add EPP case to JBossProductType.java
add EPP case to JBossProductType.java
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 998968
  Show dependency treegraph
 
Reported: 2013-08-20 08:55 EDT by bkramer
Modified: 2014-04-23 08:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:30:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2013-08-20 08:55:25 EDT
Description of problem:

Customer want to differentiate alerts for different types of JBoss server: EAP & EPP.
An easy way would be to use the name of inventoried JBoss server (starts with the string returned by JBossProductType.java) possible for EAP, EWP, SOA & BRMS.
Unfortunately the EPP case does not exist in JBossProductType.java and they would like to obtain a patch for the class :
rhq/modules/plugins/jboss-as-5/src/main/java/org/rhq/plugins/jbossas5/helper/JBossProductType.java

This should be easily feasable, as the jboss-epp-5.2/jboss-as/bin/run.jar (META-INF/MANIFEST.MF) contains the line :
Implementation-Title: JBoss [EPP]




Version-Release number of selected component (if applicable):
RHQ 4.4

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Additional info:
Comment 1 Heiko W. Rupp 2013-08-20 09:45:36 EDT
It looks like this is currently a typo:


    EPP("EPP", "JBoss EAP 6", "JBoss Enterprise Portal Platform 6", "Portal Platform"),

(note "EAP" in the 2nd entry)

In org.rhq.modules.plugins.jbossas7.JBossProductType
Comment 2 Heiko W. Rupp 2013-08-20 11:30:42 EDT
EPP("EPP", "JBoss EAP 6", "JBoss Enterprise Portal Platform 6", "Portal Platform") should not exist anymore,

JPP("JPP", "JBoss EPP 6", "JBoss Portal Platform 6", "Portal Platform"),
is the correct one
Comment 3 Heiko W. Rupp 2013-08-21 05:41:43 EDT
Scratch my comment(s) -- I confused EPP5 with JPP6
Comment 4 Heiko W. Rupp 2013-09-10 05:51:31 EDT
Setting to 4.10 and to check if this can be achieved from the EPP plugin itself via the new callbacks.
Comment 5 Larry O'Leary 2013-09-24 22:44:12 EDT
This was done in https://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=4ab55e2fa95282b5d1ecd26ef30a86910a7d1974 for downstream JBoss ON.
Comment 6 Heiko W. Rupp 2014-04-23 08:30:07 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.